/*  VER 004  TAB P   $Id: stat.h,v 1.11 1997/01/02 10:38:48 src Exp src $
 *
 *  for fstat(), with the usual set of version dependencies
 */

#include <sys/stat.h>

#ifndef S_ISREG
#  ifdef S_IFMT
#    define S_ISREG(m) (((m) & S_IFMT) == S_IFREG) 
#    define S_ISDIR(m) (((m) & S_IFMT) == S_IFDIR)
#  else
#    define S_ISREG(m) (((m) & 0170000) == S_0100000)
#    define S_ISDIR(m) (((m) & 0170000) == S_0040000)
#  endif
#endif
